Subject: Re: Trying to get cron working
From: "Gerrit P. Haase" <[email-masked]>
To: James Nallen <[email-masked]>
Cc: [email-masked]
Date: Sun, 26 Aug 2001 18:30:20 +0200

James Nallen schrieb am 2001-08-24, 18:05:

>Hi,
>
>I just recently installed version 2.78.2.3 of cygwin.

cygwin-1.3.2, setup-2.78.2.3

>I'm trying to get the cron facility operatoional.
>
>I have done the following :
>
>(1) Set the cron facility as an NT/W2K service
>
>cygrunsrv -I cron -p /usr/sbin/cron -a '-D' -e CYGWIN="tty ntsec"

Correct.

>(2) I started the service:
>
>cygrunsrv -S cron

Yes.

>(3) I set up an Adminstrator crontab file

Did you run:
 $ crontab -e
?

>However, the job does not run.

Are you sure?

>The following errors appear in the Event Log:
>
>Event Type:	Information
>Event Source:	/usr/sbin/cron
>Event Category:	None
>Event ID:	0
>Date:		24/08/2001
>Time:		17:55:59
>User:		N/A
>Computer:	
>Description:
>The description for Event ID ( 0 ) in Source ( /usr/sbin/cron ) cannot be 
>found. The local computer may not have the necessary registry information 
>or message DLL files to display messages from a remote computer. The 
>following information is part of the event: /usr/sbin/cron : Win32 Process 
>Id = 0x19C : Cygwin Process Id = 0x2E8 : (Administrator) RELOAD 
>(tabs/Administrator).

Here it reloads the tab file.
No error.

>Event Type:	Information
>Event Source:	Cygwin
>Event Category:	None
>Event ID:	0
>Date:		24/08/2001
>Time:		17:56:02
>User:		N/A
>Computer:	
>Description:
>The description for Event ID ( 0 ) in Source ( Cygwin ) cannot be found. 
>The local computer may not have the necessary registry information or 
>message DLL files to display messages from a remote computer. The following 
>information is part of the event: (Administrator) CMD 
>(/home/Administrator/test.out).

Here it writes the file: test.out in Administrator's home dir, no error.

It works for me™, (i did it like you did).

Gerrit

-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/